org.eclipse.oomph.setup

## Interface ProjectContainer

- All Superinterfaces:
    EObject, ModelElement, Notifier, Scope, SetupTaskContainer
  All Known Subinterfaces:
    Project, ProjectCatalog
  All Known Implementing Classes:
    ProjectCatalogImpl, ProjectImpl

      public interface ProjectContainer
      extends Scope

  A representation of the model object 'Project Container'.

  The following features are supported:

  - `Projects`
  See Also:
    `SetupPackage.getProjectContainer()`
  Generated
  Model
    interface="true" abstract="true"

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ProjectCatalog` | `getProjectCatalog()`
    `ProjectContainer` | `getProjectContainer()`
    `EList<Project>` | `getProjects()` Returns the value of the 'Projects' containment reference list.

    - ### Methods inherited from interface org.eclipse.oomph.setup.Scope

      `getDescription, getLabel, getName, getParentScope, getQualifiedName, getType, setDescription, setLabel, setName`

    - ### Methods inherited from interface org.eclipse.oomph.setup.SetupTaskContainer

      `getSetupTasks`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getProjects

          EList<Project> getProjects()

      Returns the value of the 'Projects' containment reference list. The list contents are of type `Project`. It is bidirectional and its opposite is '`Project Container`'.

      If the meaning of the 'Projects' containment reference list isn't clear, there really should be more of a description here...

      Returns:
        the value of the 'Projects' containment reference list.
      See Also:
        `SetupPackage.getProjectContainer_Projects()`, `Project.getProjectContainer()`
      Generated
      Model
        opposite="projectContainer" containment="true" resolveProxies="true" keys="name" extendedMetaData="name='project'"

    - #### getProjectContainer

          ProjectContainer getProjectContainer()

      Generated
      Model
        kind="operation"

    - #### getProjectCatalog

          ProjectCatalog getProjectCatalog()

      Generated
      Model
        kind="operation"

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html